Logo Site EngageLab Mark Colored Transparent文档
搜索

应用 VIP 状态查询 API

该接口用于查询当前应用的 VIP 状态和 VIP 到期时间,支持 AppPush 和 WebPush。

注: 数据中心和产品类型由请求域名或 URL 路由决定,不需要在请求参数中额外传入。

注: AppKey 通过 REST API 的 Basic Auth 鉴权信息携带,不需要在 Query 或 Body 中额外传入。

调用验证

更多详情请参考 REST API 概述中的鉴权方式

查询应用 VIP 状态

调用地址

GET v4/app/vip/status
              
              GET v4/app/vip/status

            
此代码块在浮窗中显示

请求示例

请求报头

GET /v4/app/vip/status Authorization: Basic (base64 auth string) Content-Type: application/json
              
              GET /v4/app/vip/status
Authorization: Basic (base64 auth string)
Content-Type: application/json

            
此代码块在浮窗中显示

请求参数

无。

响应示例

成功响应

HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8
              
              HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

            
此代码块在浮窗中显示
{ "vip_status": 1, "vip_end_time": 1775059200 }
              
              {
    "vip_status": 1,
    "vip_end_time": 1775059200
}

            
此代码块在浮窗中显示

响应参数说明

字段 类型 说明
vip_status int VIP 状态。0 表示免费试用,1 表示付费在用,2 表示待补缴可用,-1 表示免费到期,-2 表示付费到期,-3 表示账单待补缴不可用。
vip_end_time int64 VIP 到期时间,Unix 秒级时间戳。

失败响应

HTTP/1.1 401 Unauthorized Content-Type: application/json; charset=utf-8
              
              HTTP/1.1 401 Unauthorized
Content-Type: application/json; charset=utf-8

            
此代码块在浮窗中显示
{ "error": { "code": 21004, "message": "basic auth failed" } }
              
              {
    "error": {
        "code": 21004,
        "message": "basic auth failed"
    }
}

            
此代码块在浮窗中显示

错误码

Code HTTP 描述 Error Message 详细解释
21004 401 鉴权失败 basic auth failed AppKey、MasterSecret 不匹配,或未提供 Basic Auth 鉴权信息。
21008 400 请求参数错误 app_key is not a 24 size string or does not exist Basic Auth 中的 AppKey 长度不合法或应用不存在。
21030 503 系统内部错误,建议稍后重试 Server response time out, please try again later 内部服务响应超时。
27000 500 系统内部错误 Server inner err 内部服务调用失败或发生未预期错误。
Icon Solid Transparent White Qiyu
联系销售